@echo off

if not exist setup.exe if exist tse.exe echo Renaming tse.exe to setup.exe ...
if not exist setup.exe if exist tse.exe rename tse.exe setup.exe

if not exist tse.dat if exist setup.dat echo Renaming setup.dat to tse.dat ...
if not exist tse.dat if exist setup.dat rename setup.dat tse.dat

if not exist setup.exe echo Error: setup.exe does not exist.
if not exist tse.dat   echo Error: tse.dat does not exist.

if not exist setup.exe goto error
if not exist tse.dat   goto error

setup.exe
goto end

:error
pause

:end

